AutoCAD .NET :: Insert Block On Multiple Selected Points

Apr 20, 2012

I am trying to put something together that will allow a user to select objects in AutoCAD and then place a block at all the selected points. 

Below I have pasted the code that I have so far, but have not been able to test this to see what happens because the Dim ofd part is giving me an error that I have not been able to figure out. 

The error that I am getting says that :

Argument not specified for parameter "flags" of "Public Sub New(title As String, defaultName As String, extension As String, dialogName As String, flags As Autodesk.AutoCAD.Windows.OpenFileDialog.OpenFileDialogFlags)

Imports Autodesk.AutoCAD.Runtime
Imports Autodesk.AutoCAD.ApplicationServices
Imports Autodesk.AutoCAD.DatabaseServices
Imports Autodesk.AutoCAD.EditorInput
Imports Autodesk.AutoCAD.Geometry
[code]......

View 9 Replies


ADVERTISEMENT

AutoCAD Visual LISP / AutoLISP :: Insert North Block Oriented On Two Selected Points

Sep 19, 2012

I am trying to insert a norht block oriented on two selected points with the following

(defun c:North ( / ss )
 ;Orientate North Symbol
 (setq oldos (getvar "osmode"))
 (setq blk (vlax-ename->vla-object (car (entsel "

[Code] .......

I am not sure how to (a) erase the selected north block, then (b) make the  insert north block in its place bit work.

View 6 Replies View Related

AutoCad 2D :: Insert Multiple Block (like Points) Using Excel Concatenate Function?

Nov 27, 2013

So i have a simple block of basically a point. i also have alot of points to input. I know i can attribute the block with promts such as levels or dates etc.. but is there a way to make the block do this by itself when level is already entered? also is there a way to insert multiple block (like the points) using excel concatenate function? or can i input the points and have date and level shown in a text form?

View 2 Replies View Related

AutoCAD 2013 :: Insert A Block Using Selection Of Points

May 20, 2013

I'd like to insert a block into a big selection of points. Any way or have I to look at customization routines.

View 3 Replies View Related

AutoCAD Visual LISP / AutoLISP :: How To Insert Block To Points Taken From Txt File

Jun 28, 2013

I got this code in a web trawl to insert a block to points taken from a txt file......

its coming back with an error as follows:

; === Top statistic:
; Function definition (with number of arguments): ((C:INSERTBLOCKS . 0))
; Check done.

What does this mean and how can I fix it.

(defun c:insertBlocks (/ txtFile xyData expertVar attreqVar)(setq expertVar (getvar "expert"))
(setq attreqVar (getvar "attreq"))
(setvar "expert" 2)(setvar "attreq" 0)
(setq txtFile (open "c:\cad\textfile.txt" "r")) ;

[Code] ......

View 3 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Insert Dynamic Block With Visibility State Pre-selected?

Dec 24, 2013

I currently insert certain dynamic block into drawings with a short function that first inserts the specified dynamic block and then immediately changes the visibility state to one specified as an argument to the function.

I'm wondering if it is possible / better / faster to somehow insert the dynamic block with the decided visibility state simultaneously. I've been amazed by many capabilities of VL so I wouldn't at be surprised if this can be done. (the dynamic blocks I'm inserting could have many multiples in the drawing but I need this method to only affect the one being inserted at the time the function is called. I currently use entlast to decide which one is being inserted.)

View 6 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Align Block With Two Selected Destination Points

May 13, 2013

I am trying to write a program to align a block with two selected destination points. 
- first the user is prompted to select a lwpolyline of a block entity
- then he is prompted to pick two destination points

I face problem with the sub-routine SegmentPts. It is supposed to return the coordinates of two vertexes on both sides of the picked point on a lwpolyline using entsel. But here in my program, when i am picking a point using entsel on a lwpolyline inside a block entity, it is not returning the two vertexes on both sides of the picked point. In stead, it returns some other points of the selected LWPOLYLINE. Why it is doing so? Where is the problem in my program?

It works fine with my other programs where i pick on a LWPOLYLINE entity. In this particular case, the LWPOLYLINE is inside a Block entity and the program is not returning correct points.

Please check Lisp Program below:

(defun C:alb()
(setq ent1 (entsel "
Pick on one side of LWLINE ofa Block:" ))
(setq ent (nentselp (cadr ent1)))
[code]........

View 9 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Insert Dynamic Block And Modify Stretch Points

Nov 30, 2010

I have a dynamic block that I would like to insert via a lisp routine. When the routine is run from my menu I would like to select two points on the drawing area. Then I would like my dynamic block to be inserted at one of the points I selected and then I would like a specific "point" of my block to be stretched to the other point that I selected. I was wondering if this is possible with LISP? I have my old LISP program I wrote that draws a leader and then inserts my block but that was before I started working with dynamic blocks.

Here is my current

(defun c:wldsym()
(setq osnapold (getvar "osmode"))
(setq orthold (getvar "orthomode"))
(setq dimsc (getvar "dimscale"))
[code]...........  
  
wld1r.dwg is my current block. It has some dynamic properties already. But I'm trying to add new properties that can be seen in my working test drawing wld1r-new.dwg

When using my code with "wld1r.dwg" you can see how everything behaves right now. Then open "wld1r-new.dwg" and note that the insertion point and a stretch point my default are in the same spot. Work with the two stretch points and look at how the block reacts.

View 9 Replies View Related

AutoCAD 2010 :: Insert Multiple Block Definitions

Jul 9, 2012

I have a drawing with all my block definitions and the blocks inserted and annotated. Seems that in a previous version of Autocad, I could insert the drawing and cancel the insertion at some point of the insertion command sequence, such that the drawing was not inserted, but all the block definitions remained. I could then use the insert command and all of these blocks were available. Yes, sometimes this made my drawing memory size rather large and I would have to purge the unused blocks later to reduce the memory size of my drawing.

View 1 Replies View Related

AutoCAD .NET :: Jig Multiple Entities Such As Insert Block And Add Line?

Mar 26, 2013

How to Jig multiple entities such as insert a block and add a line.

View 3 Replies View Related

AutoCad :: Insert Dynamic Block From File With Multiple Dynamic Blocks

Jul 16, 2010

I have a drawing ("SURUBURI.dwg") with several dynamic blocks ("M12", "M16", "M18" ... an so on...). I want to insert in my current drawing, one of the blocks from SURUBURI.dwg, for instance the block named "M12".

For that i tried creating a new command "INSERT_M12" that has the following script :

^C^C-INSERT; "I:/Ionut Mihaila/Goodies/SURUBURI.dwg/M12"

Now obvious that doesn't work, but i think it shows clearly what i want to accomplish. So is there an other way to do this?

View 9 Replies View Related

AutoCAD .NET :: Insert Block From External DWG File / Specify Insert Point By Click Mouse

Apr 2, 2013

I write a program, this program needs to insert some standard illustrations. I made these standard illustrations into different blocks. And I store these blocks in a dwg file. Everytime I need to insert some illustrations, I just click the mouse on the current drawing, I want the illustration inserted. These means the following points:

(1) Import the blocks to the current drawing, if the blocks have already been imported, then do nothing.

(2) Specify the insert point by clicking the mouse, and I want the block's insert point to coincide with the mouse clicking point.

View 1 Replies View Related

AutoCAD 2010 :: Dynamic Block Grips - Block Does Not Change When Insert In Another File

Oct 28, 2013

I have created a dynamic block with a stretch, flip and rotate.  Everything works great in its file.  When I insert it in another file, the grips move but the block does not change.

AutoCAD 2014

View 2 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Insert Point At List Block And Dynamic Block

Apr 18, 2013

I am learning autolips and i found  a problem that i can´t solved.
 
(vl-load-com)(defun c:pmb ( / ss ent pt )(prompt "
selec block : ")(setq ss (ssget '((0 . "INSERT")))) (setq ent (ssname ss 0)), (setq pt (cdr (assoc 10 (entget ent)))) (command "point" pt))
 wich this code you select one block and insert one point at insert point´s block.

which this other code yo select all block and insert all  point.... but in one block
 
(vl-load-com) (defun c:pmb11 ( / sele cod bloque nbloque lista pt ) (prompt "
block: ") (setq sele (ssget ( List'(0 . "INSERT"))) Cod 0 )cod (1+ cod) (repeat (sslength sele) (setq bloque (ssname sele cod)) (setq pt (cdr (assoc 10 ( entget bloque)))) (command "punto" pt) );repeat ) 

View 4 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Insert A Block / Explode And Rename Nested Block With Suffix

Nov 30, 2012

I have a block that i want to insert several times and revised each one to be different to do this i would have to insert it and rename the blocks that come in and then reinsert i would like to insert and have a lisp explode the main block and rename the other 2 blocks with a suffix at the end depending on how many times its in the drawing... can this even be done? My original block name that will be first inserted is "BENT PULLEY NOTES" it needs to explode after i drop it in and then there are 2 blocks within that called "Bent Pulley" and "Bent Pulley DYN" that i was hoping to keep the names but add a number at the end depending on how many are in the drawing already...

here is a lisp that i have found... it would work if i didn't have nested blocks and only wanted the one block to be insert and not explode...

(defun c:Test (/ e i name Bname )
(setq e nil)
(command "_.-insert" "Drawing1.dwg" pause "" "" "")
(if (setq e (entlast))

[Code] .......

View 9 Replies View Related

AutoCAD .NET :: Insert Block And Drag Jig Hiding Inserted Block At 0,0

Apr 11, 2013

I have a pallete button that inserts a block then a drag jig to position it. The block is first inserted at 0,0 and dragged.

The block at 0,0 remains visible while a "duplicate" block is dragged. Is there a way to hide the original?
 
Insert block then calling the drag jig..
AddViewBlock(New Point3d(0, 0, 0), 0, ColorIndex, trans) psr = ed.SelectLast() DragView(psr.Value, "Bar Insertion Point")
 
In the DragView procedure I have:

 Public Sub DragView(ByVal SS As SelectionSet, ByVal sPrompt As String)
'....
Dim ppr As PromptPointResult = ed.Drag(SS, vbLf & sPrompt, New DragCallback(AddressOf MyDragCallback))

View 4 Replies View Related

AutoCAD .NET :: Insert Dynamic Block And Position And Stretch The Block?

Apr 6, 2013

I am trying to insert a dynamic block and position and stretch the block, using the linear parameters, depending on values entered into a form.

I managed to create a form that would draw a series of boxes. And i managed to create a routine that would insert a block and size it depending on fixed values but i can't link the 2 together.

Win 7 Pro 64bit, Dell Precision M6500

View 8 Replies View Related

AutoCad :: How To Delete Block From Insert Block List

Oct 20, 2007

I am using Autocad 2007 I made several blocks with att. And I use this drawing and copy it to the samples/design center folder so that I can see the blocks that I created on the Design center window for use on different other drawings.

My problem is that if I make a cange on the ORIGINAL block drawing how can I update the inserted blocks on the other drawings? I try to delete the block from the local drawing insert block list (is this possible?) to paste the block again with the new changes, but somehow even when I grab the new modified block to inserted again when I do it, it takes the shape of the old version!

View 6 Replies View Related

AutoCad :: Create Block To Insert On Title Block

Oct 26, 2012

Is it possible to create a block to insert on our title block that will populate itself with a list of drawings and names?

I know this is possible through the use of LISP and the Sheet Set Manager, but could this be done through a combination of attributes and fields (we want the same functionality in LT).

View 1 Replies View Related

AutoCAD Civil 3D :: Inserting A Block Deletes Points With Point Style With Same Block

Oct 16, 2013

We're using C3D 2013 SP2.  The survey company we use uses point styles to show the blocks.  Say they shoot a catchbasin.  Instead of inserting the block, the point shows up as the block.

I did a field check & needed to insert a missed CB.  When I inserted the block, the other points that were CBs disappeared.  I had to insert the block, copy it the clipboard, undo the insertion & then paste the block in.  It did this on other drawings & other blocks.

View 7 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Insert Point At Block Insert Point

Sep 26, 2012

trying to insert point instead of block.

(setq blok (entget (car (entsel))))

(setq point (cdr (assoc 10 blok)))

(setq XX (rtos (car point) 2 20)) ;; x koordinata bloka

(setq YY (rtos (cadr point) 2 20)) ;; y koordinata bloka

(setq ZZ (rtos (caddr point) 2 20)) ;; z koordinata bloka

(command "point" xx,yy,zz) is not working

!xx="5582453.414999999" but when i (atoi xx) i get 5582453 no dedimals...

how to create valid insertation point from xx, yy and zz?

View 6 Replies View Related

AutoCAD .NET :: Insert Block Reference Using Block Name

Nov 17, 2012

Drawing contains a block with "BlkName". I want to insert blockreferences of this existing block using .Net. All shows how to insert a new block and then use the BlockID returned by the insert function. In my case I only have the block name and there is no Block id. How to get it or how to create a block reference of an existing block?

View 3 Replies View Related

AutoCAD Map 3D :: Multiply Value Of Z Coordinate For Many Points Selected?

Mar 13, 2012

Is there any way to multiply the value of Z coordinate for many points selected, in the same time? For example, I selected many points, and need to double their Z value, but on an easier way, not one by one?

View 9 Replies View Related

AutoCad :: Create A Polyline From Selected Cogo Points

Jan 28, 2012

is there a command (or method) that will create a polyline from selected cogo points instead of manually connected each point from a create line command?

View 2 Replies View Related

AutoCAD .NET :: Zoom To Selected Points Extents Or Window?

Dec 6, 2012

In a dwg file there some features and and select some of them and want to zoom to that selected features extents only.

or how can I get the extents for that collection so that I can zoom to it.

View 4 Replies View Related

AutoCAD Civil 3D :: Insert Points In CSV File (PNEZD)

Sep 20, 2013

I have been trying to simply insert points in a .csv file (PNEZD).  The foints are taken SPC systems and elevations are in feet.  I am using the imperial english template with no conversions.  When i import the points from a file the points come in in the correct position but the elevation is in meters insted of feet!

View 5 Replies View Related

AutoCAD Civil 3D :: Get Symbols To Automatically Come In When Insert Points

Nov 19, 2013

I currently set up out civil 3d to do auto linework, which went really smooth.The first issue is with my points. When I go to Import Survey Data to insert the points and do auto linework, it doesn't insert the points in the right location (nothing is .86 off and easting is 1.36 off on every point). But if i were to insert the points by going to Points and clicking Import, they are right on? second, who do I get symbols to automatically come in when I insert the points? (power poles, hydrants, inlets, etc.).

View 9 Replies View Related

AutoCad 2D :: Move / Align And Rotate Text To Two Selected Points?

Nov 2, 2012

Any routine (perhaps a lisp) to move, rotate and align text with one swift command?

Something like this video below.

View 9 Replies View Related

3ds Max Modeling :: Multiple Vertices Selected At Multiple Positions (heights) In The Z Axis

Mar 25, 2013

Is there a way to have multiple vertices selected at multiple positions (heights) in the z axis and enter a value of 0 and have all of them jump to 0 in the z axis? Seems like a no brainer to me, but can find a way to do it.

View 9 Replies View Related

AutoCAD Civil 3D :: Survey Database Insert Points In Specific Area

Sep 23, 2013

I remember in LDD you could insert points in an area, Is that possible in civil 3d. I have a small area of an big project that i want to review all the points. This project has 517000 points in it so it takes to long to insert all of the points.

View 9 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Place Circle On Selected Blocks Insert Point?

Mar 11, 2013

You have a dwg with multiple sets of different blocks and a circle you want to place on the insert point of each set blocks. 

You select the circle then select one of the blocks in the set and the circle is placed on the insert point of each of the blocks in that set. It would save time from doing it manually and save on mistakes.

View 9 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved